Skip to main content
POST
/
clips
/
{videoId}
/
submissions
/
{submissionId}
/
clips
/
{clipId}
/
render
Render a clip
curl --request POST \
  --url https://api.cut.pro/api/v1/clips/{videoId}/submissions/{submissionId}/clips/{clipId}/render \
  --header 'X-Api-Key: <api-key>'
{
  "render_id": "<string>",
  "edit_setting_id": "<string>",
  "has_watermark": true,
  "output_resolution": "<string>",
  "download_url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://cut.pro/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Api-Key
string
header
required

Path Parameters

videoId
string
required
submissionId
string
required
clipId
string
required

Response

Response for status 200

render_id
string
required

ID of the completed cached render

edit_setting_id
string
required

ID of the edit settings used

status
enum<string>
required
Available options:
completed
has_watermark
boolean
required
output_resolution
string
required
from_cache
enum<boolean>
required
Available options:
true
download_url
string
required

Signed URL to download the rendered video

Last modified on May 27, 2026